package com.yd.api.practitioner.vo.hiring;

/**
 * @author xxy
 */
public class HiringApproveRequestVO {
    /**
     * 经纪人id
     */
    private Long practitionerId;
    /**
     * 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    private Long approvalIdentity;
    /**
     * 审批步骤经行到哪一步了
     */
    private Long hiringApproveStepsSeq;
    /**
     * 审批经纪人基本资料id
     */
    private Long hiringBasicInfoId;
    /**
     * 1：通过，0：驳回
     */
    private Long approvingStatus;
    /**
     * 面试评价
     */
    private String interviewAssessment;
    /**
     * 备注，驳回原因
     */
    private String rejectNote;


    /**
     * 获取 经纪人id
     *
     * @return practitionerId 经纪人id
     */
    public Long getPractitionerId() {
        return this.practitionerId;
    }

    /**
     * 设置 经纪人id
     *
     * @param practitionerId 经纪人id
     */
    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    /**
     * 获取 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @return approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public Long getApprovalIdentity() {
        return this.approvalIdentity;
    }

    /**
     * 设置 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     *
     * @param approvalIdentity 审批身份 0.既是辅导人又是团队长  1.辅导人  2.团队长
     */
    public void setApprovalIdentity(Long approvalIdentity) {
        this.approvalIdentity = approvalIdentity;
    }

    /**
     * 获取 审批步骤经行到哪一步了
     *
     * @return hiringApproveStepsSeq 审批步骤经行到哪一步了
     */
    public Long getHiringApproveStepsSeq() {
        return this.hiringApproveStepsSeq;
    }

    /**
     * 设置 审批步骤经行到哪一步了
     *
     * @param hiringApproveStepsSeq 审批步骤经行到哪一步了
     */
    public void setHiringApproveStepsSeq(Long hiringApproveStepsSeq) {
        this.hiringApproveStepsSeq = hiringApproveStepsSeq;
    }

    /**
     * 获取 审批经纪人基本资料id
     *
     * @return hiringBasicInfoId 审批经纪人基本资料id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 审批经纪人基本资料id
     *
     * @param hiringBasicInfoId 审批经纪人基本资料id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 1：通过，0：驳回
     *
     * @return approvingStatus 1：通过，0：驳回
     */
    public Long getApprovingStatus() {
        return this.approvingStatus;
    }

    /**
     * 设置 1：通过，0：驳回
     *
     * @param approvingStatus 1：通过，0：驳回
     */
    public void setApprovingStatus(Long approvingStatus) {
        this.approvingStatus = approvingStatus;
    }

    /**
     * 获取 备注，驳回原因
     *
     * @return rejectNote 备注，驳回原因
     */
    public String getRejectNote() {
        return this.rejectNote;
    }

    /**
     * 设置 备注，驳回原因
     *
     * @param rejectNote 备注，驳回原因
     */
    public void setRejectNote(String rejectNote) {
        this.rejectNote = rejectNote;
    }

    @Override
    public String toString() {
        return "HiringApproveRequestVO{" +
                "practitionerId=" + practitionerId +
                ", approvalIdentity=" + approvalIdentity +
                ", hiringApproveStepsSeq=" + hiringApproveStepsSeq +
                ", hiringBasicInfoId=" + hiringBasicInfoId +
                ", approvingStatus=" + approvingStatus +
                ", rejectNote='" + rejectNote + '\'' +
                '}';
    }

    public String getInterviewAssessment() {
        return interviewAssessment;
    }

    public void setInterviewAssessment(String interviewAssessment) {
        this.interviewAssessment = interviewAssessment;
    }
}
